[Heretic] Stuck monsters can close the "open stay" door
2019-12-31 09:48 - svi1
Priority: Normal % Done: 0%
Assignee: Deng Team

Category:

Target version: Modding

Description

There is a door. From my side, it opens with the action "D1 open stay", on the reverse side it opens with the action "DR open wait
close". | open the door of D1, monsters are running at me, but they can’t go through the door, since | do not let them in, but they
activate DR. After some time, | kill all the monsters, the door closes, and | can no longer open it. DR is not activated if monsters
easily go through the door, only if for some reason they can’t go through the door.

History

#1 - 2019-12-31 09:53 - skyjake

- Subject changed from Stuck monsters can close the "open stay" door to [Heretic] Stuck monsters can close the "open stay" door

What is your proposed fix for this? Should the first "D1 open stay" override any consequent "DR open wait close" events that later occur on the same
door?

DR is not activated if monsters easily go through the door, only if for some reason they can’t go through the door.

What exactly do you mean by "can't go through the door"? What is stopping them?

#2 - 2019-12-31 10:45 - svi1

Yes, it should not act "DR open wait close" on an open door. But, if the door is closed with the "close stay" action, it can be opened again "DR open
wait close"

On the test card, it’s just an imitation, monsters can'’t get through the door because | don’t let them out with shots or because of the size, if the door is
small. Sometimes two monsters can start fighting near the door or stick to each other

#3 - 2020-01-01 21:52 - skyjake

- Target version set to Modding

Files

__TEST.zip 3.55 KB 2019-12-31 svli
